Name:		liblockdep
Version:	0.0.1
Release:	1%{?dist}
Summary:	Runtime locking correctness validator

License:	GPLv2
URL:		https://www.kernel.org/doc/Documentation/lockdep-design.txt
Source0:	https://www.kernel.org/pub/linux/kernel/v3.x/linux-3.14.tar.xz

%description
liblockdep is a tiny wrapper built around kernel/lockdep.c. The aim is to
provide the same functionality the kernel gets from lockdep to userspace.


%prep
%setup -q -n linux-3.14/tools/lib/lockdep/
sed -i 's/\.\/liblockdep.so/\/usr\/lib\/liblockdep.so/' lockdep


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT prefix=/usr/


%clean
rm -rf $RPM_BUILD_ROOT


%files
/usr/bin/lockdep
/usr/lib/liblockdep.a
/usr/lib/liblockdep.so


%changelog
* Fri Apr 04 2014 Robin Hack <rhack@redhat.com> - 0.0.1-1
- Initial RPM release
